;;; $DOOMDIR/config.el -*- lexical-binding: t; -*-

;; Place your private configuration here! Remember, you do not need to run 'doom
;; sync' after modifying this file!


;; Some functionality uses this to identify you, e.g. GPG configuration, email
;; clients, file templates and snippets. It is optional.
(setq user-full-name "John Doe"
      user-mail-address "john@doe.com")

;; Doom exposes five (optional) variables for controlling fonts in Doom:
;; - `doom-font' -- the primary font to use
;; - `doom-variable-pitch-font' -- a non-monospace font (where applicable)
;; - `doom-big-font' -- used for `doom-big-font-mode'; use this for
;;   presentations or streaming.
;; - `doom-unicode-font' -- for unicode glyphs
;; - `doom-serif-font' -- for the `fixed-pitch-serif' face

(setq display-line-numbers-type t)

;; If you use `org' and don't want your org files in the default location below,
;; change `org-directory'. It must be set before org loads!
(setq org-directory "~/org/")


;; Whenever you reconfigure a package, make sure to wrap your config in an
;; `after!' block, otherwise Doom's defaults may override your settings. E.g.
;;
;;   (after! PACKAGE
;;     (setq x y))
;;
;; The exceptions to this rule:
;;
;;   - Setting file/directory variables (like `org-directory')
;;   - Setting variables which explicitly tell you to set them before their
;;     package is loaded (see 'C-h v VARIABLE' to look up their documentation).
;;   - Setting doom variables (which start with 'doom-' or '+').
;;
;; Here are some additional functions/macros that will help you configure Doom.
;;
;; - `load!' for loading external *.el files relative to this one
;; - `use-package!' for configuring packages
;; - `after!' for running code after a package has loaded
;; - `add-load-path!' for adding directories to the `load-path', relative to
;;   this file. Emacs searches the `load-path' when you load packages with
;;   `require' or `use-package'.
;; - `map!' for binding new keys
;;
;; To get information about any of these functions/macros, move the cursor over
;; the highlighted symbol at press 'K' (non-evil users must press 'C-c c k').
;; This will open documentation for it, including demos of how they are used.
;; Alternatively, use `C-h o' to look up a symbol (functions, variables, faces,
;; etc).
;;
;; You can also try 'gd' (or 'C-c c d') to jump to their definition and see how
;; they are implemented.

(require 'python)

;;opens man pages in current buffer
(setq Man-notify-method 'pushy)
(setq neo-window-fixed-size nil)

(defun python-interrupt ()
  "Interupt the python process."
  (interactive)
  (let ((proc (ignore-errors
                (python-shell-get-process-or-error))))
    (when proc
      (interrupt-process proc))))

(defun python-send-clean ()
  "Restart the python process, then send the current buffer to it."
  (interactive)
  (let ((content-to-send (buffer-string)))
    (pyvenv-restart-python)
    (sleep-for 0.001)
    (python-shell-send-string content-to-send)
    )
  )

(define-key python-mode-map (kbd "C-c a") 'pyvenv-restart-python)
(define-key inferior-python-mode-map (kbd "C-c c") 'python-interrupt)
(define-key python-mode-map (kbd "C-c g") 'python-send-clean)

(set-frame-parameter nil 'alpha-background 94)

;(setq theme_list '(doom-tokyo-night doom-dark+ doom-laserwave doom-acario-dark doom-ayu-dark  doom-sourcerer doom-gruvbox doom-nord-aurora doom-moonlight doom-monokai-classic doom-outrun-electric))
(setq theme_list '(doom-laserwave doom-acario-dark doom-gruvbox doom-outrun-electric))
(setq doom-theme (nth (% (abs(random)) (length theme_list)) theme_list))
(setq c-basic-offset 4)

(setq erc-autojoin-channels-alist '(("racism" "#e")))
(erc :server "racism" :port "1945" :nick "chicken")
